Bug 223180 - m17n-db-<LANG> should check scim, scim-m17n, m17n-lib, m17n-db as dependency before install
m17n-db-<LANG> should check scim, scim-m17n, m17n-lib, m17n-db as dependency ...
Product: Fedora
Classification: Fedora
Component: m17n-db (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mayank Jain
: i18n
Depends On:
Blocks: 223179
  Show dependency treegraph
Reported: 2007-01-18 01:50 EST by Mayank Jain
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-02-09 06:46:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Mayank Jain 2007-01-18 01:50:12 EST
+++ This bug was initially created as a clone of Bug #223179 +++

Description of problem:

m17n-db-<LANG> gets installed without checking for any dependency. For example,
if m17n-db-punjabi is installed and scim-m17n (and m17n-lib) is not installed,
punjabe keymaps are useless.

when following package was installed in my machine

Version-Release number of selected component (if applicable):

How reproducible:
when install indic locale on db file for m17n 

Steps to Reproduce:
1. install only scim
2. install m17n-db-punjabi
Actual results:
m17n-db-punjabi installed, but not working, even not showing in scim-setup

Expected results:
should work and shown in scim-setup

Additional info:

m17n-db-<LANG> should check scim, scim-m17n, m17n-lib, m17n-db as dependency
before install

-- Additional comment from majain@redhat.com on 2007-01-18 01:45 EST --
Noting that scim-m17n and m17n-lib was not installed.
Comment 1 Jens Petersen 2007-01-18 02:19:34 EST
Hmm, the problem is m17n-db can also be used with other input methods than
scim, eg uim supports it with the uim-m17n subpackage in Extras so I don't
think we should force its users to install scim.

The recommended way to install support for a language is with
"yum groupinstall <lang>-support" or using the pirut to select
the language group.

It might well make sense though to have certain m17n-db-<lang> packages require
appropriate fonts packages though, since input is also meaningless without
Comment 2 Mayank Jain 2007-02-09 06:46:11 EST
Jens, I agree with your explanation.
Closing as NOTABUG

Note You need to log in before you can comment on or make changes to this bug.